<?php
/**
 * @package rndimg
 * @author Przemysław "winnetou" Wilkosz
 * @version 0.1 alpha
 */
/*
Plugin Name: rndimg
Plugin URI: http://valhalla.org.pl/wordpress-random-image/
Description: This plugin allows you to display random image from selected galleries (by Gallery ID) created using the NextGen Gallery plugin.
Author: Przemysław "winnetou" Wilkosz
Version: 0.1 alpha
Author URI: http://valhalla.org.pl
*/

/*	Copyright 2011 Przemysław "winnetou" Wilkosz

	This program is free software; you can redistribute it and/or modify
	it under the terms of the Creative Commons BY-SA-NC as published by
	the Creative Commons; either version 3.0 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	CC BY-NC-SA License for more details.

	Full text of CC licenses can be found at:
	http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode
	http://creativecommons.org/licenses/by-nc-sa/3.0/


*/



function rndimg($atts)
{
        global $wpdb;

        $gids = $atts['ids'];
	
	$query = "SELECT path, filename, alttext FROM {$wpdb->nggallery},{$wpdb->nggpictures} WHERE galleryid=gid AND (gid IN ({$gids})) ORDER BY RAND() LIMIT 1";

	$result = $wpdb->get_results($query);
	$gallery_path = $result[0]->path;
	$image = $result[0]->filename;
	$alt = $reslut[0]->alttext;
	
	$content = '';

	if ($atts['show_title']) $content.='<H2>'.$alt.'</H2>';
	
	if ($atts['width'] && $atts['height']){
		$w = $atts['width'];
		$h = $atts['height'];
		$content.='<img src="'.get_bloginfo('url').'/'.$gallery_path.'/'.$image.'" alt="'.$alt.'" width="'.$w.'" height="'.$h.'" />';
	}else{
		$content.='<img src="'.get_bloginfo('url').'/'.$gallery_path.'/'.$image.'" alt="'.$alt.'" />';
	}
	if ($atts['show_title']) $content.='<H2>'.$alttext.'</H2>';
	$content.='
		';


        return $content;

}

add_shortcode("rndimg", "rndimg");

?>
